package geniusweb.protocol.tournament;

import static org.junit.Assert.assertEquals;

import java.net.URISyntaxException;
import java.util.Arrays;
import java.util.List;

import org.junit.Before;
import org.junit.Test;

import geniusweb.references.Parameters;
import geniusweb.references.PartyRef;
import geniusweb.references.PartyWithParameters;
import tudelft.utilities.junit.GeneralTests;

public class TeamTest extends GeneralTests<Team> {

	private Team team1, team1a, team2;
	private PartyWithParameters pwithp1, pwithp2;

	@Before
	public void before() throws URISyntaxException {
		PartyRef partyref1 = new PartyRef("party1");
		PartyRef partyref2 = new PartyRef("party2");
		Parameters params1 = new Parameters().with("a", 1);
		pwithp1 = new PartyWithParameters(partyref1, params1);
		pwithp2 = new PartyWithParameters(partyref2, params1);
		team1 = new Team(Arrays.asList(pwithp1));
		team1a = new Team(Arrays.asList(pwithp1));
		team2 = new Team(Arrays.asList(pwithp2));
	}

	@Override
	public List<List<Team>> getGeneralTestData() {
		return Arrays.asList(Arrays.asList(team1, team1a),
				Arrays.asList(team2));
	}

	@Override
	public List<String> getGeneralTestStrings() {
		return Arrays.asList(".PartyRef.party1..a=1..",
				".PartyRef.party2..a=1..");
	}

	@Test
	public void testGet() {
		assertEquals(Arrays.asList(pwithp1), team1.getParties());
	}

}
